import { IterableLike } from '../util/IterableLike';
import { SpellingDictionary, SpellingDictionaryOptions, DictionaryInfo } from './SpellingDictionary';
export declare function createSpellingDictionary(wordList: readonly string[] | IterableLike<string>, name: string, source: string, options: SpellingDictionaryOptions | undefined): SpellingDictionary;
export declare function createForbiddenWordsDictionary(wordList: readonly string[], name: string, source: string, options: SpellingDictionaryOptions | undefined): SpellingDictionary;
export interface SpellingDictionaryLoadError extends Error {
    /** The Error Name */
    readonly name: string;
    /** Possible Cause */
    readonly cause?: Error | undefined;
    /** Message to Display */
    readonly message: string;
    /** Dictionary Information */
    readonly info: DictionaryInfo;
}
export declare function createFailedToLoadDictionary(error: SpellingDictionaryLoadError): SpellingDictionary;
export declare function createSpellingDictionaryLoadError(errorName: string, message: string, info: DictionaryInfo, cause?: Error): SpellingDictionaryLoadError;
//# sourceMappingURL=createSpellingDictionary.d.ts.map